var max_Player_File="play2.swf";//播放器款式
var playerw='1000';//播放器宽度
var playerh='510';//播放器高度
var skinColor="d6eaf4,333333|000000,FFFFCC|94d2e2,000000|d1d3a2,000000|c9abca,000000";//"背景颜色1,文字颜色1|背景颜色2,文字颜色2";
var autoPlay="";//是否默认自动播放
var openMenu="1";//是否默认打开播放列表
var logoURL="logo.png";//logo地址,与播放器目录同级或使用绝对地址
var adsPage="/"+sitePath+"js/loading.html";//视频播放前广告页路径
var adsTime=2;//视频播放前广告时间，单位秒
var showFullBtn="1"; //是否显示全屏按钮
var rehref="1";//是否刷新页面点播节目
var alertwin="0";//是否弹窗播放
var btnName="上一集，下一集";
/////////////以上为设置项////////////////////////////////

try{top.moveTo(0,0);top.resizeTo(screen.availWidth,screen.availHeight);}catch(e){}

var w3c = (document.getElementById) ? true : false;
var agt = navigator.userAgent.toLowerCase();
var ie = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1) && (agt.indexOf("omniweb") == -1));
var ie5 = (w3c && ie) ? true : false;
var ns6 = (w3c && (navigator.appName == "Netscape")) ? true : false;
var op8 = (navigator.userAgent.toLowerCase().indexOf("opera") == -1) ? false : true;

document.write('<iframe id="cciframe" style="width:0px;height:0px;overflow:hidden;position:absolute;top:0px;left:0px;z-index:3;" frameborder="0" scrolling="no"></iframe>');
function Obj(o)//返回元素(a)的ID返问
{
	return S(o) ? S(o) : o;
}

function GetXYWH(o)//返回元素(a)的高度和宽度
{
	//a=[object]
	var nLt = 0;
	var nTp = 0;
	var offsetParent = o;
	while (offsetParent != null && offsetParent != document.body)//true
	{
		nLt += offsetParent.offsetLeft;//=19
		//offsetLeft	它表示当前元素的左边缘到它的offsetParent属性返回的对象左边缘的偏移量。 
		nTp += offsetParent.offsetTop;//=5
		if (!ns6)//true
		{
			parseInt(offsetParent.currentStyle.borderLeftWidth) > 0 ? nLt += parseInt(offsetParent.currentStyle.borderLeftWidth) : "";
			//nLt=19
			parseInt(offsetParent.currentStyle.borderTopWidth) > 0 ? nTp += parseInt(offsetParent.currentStyle.borderTopWidth) : "";
			//nTp=5
		}
		offsetParent = offsetParent.offsetParent;
		//offsetParent属性返回一个对象的引用，这个对象是距离调用offsetParent的元素最近的（在包含层次中最靠近的），并且是已进行过CSS定位的容器元素。
	}
	//if (ie){nLt+=-10;nTp+=0;}//定位不精确的时候可以在这里调整nLt左边距nTp上边距
   return  nTp + "," + nLt ;
}

function qvodCheck()
{
	if(window.confirm('您的电脑未安装Qvodplayer播放软件,请点击下载安装后刷新本页面播放'))
	{
		location.href='http://dl.qvod.com/QvodSetup360.exe';
	}
}

function viewplay(para1,para2)//播放影片文件.(a)影片ID,(b)哪一集
{
	//a=0	b=0	
	alert("ssssssss")
	var urlAndFrom,doc,url,from,nexturl,NextWebPage
	urlAndFrom=handleParas(para1,para2)//="稻香,http://localhost/Mtv/魔杰座周杰伦《稻香》.flv,flv"
	//handleParas(para1,para2)//播放的集数.(a)指集数,(b)指要(a)的哪节字符串
	try{autoSubmitErr(urlAndFrom,para2)}catch(e){}//报错
	//try...catch...finally 语句		为 JScript 实现错误处理。
	url=urlAndFrom[0];
	//escape 方法		对 String 对象编码以便它们能在所有计算机上可读， 
	from=urlAndFrom[1]//="flv"
	nexturl=urlAndFrom[2]
	NextWebPage=urlAndFrom[4]
	doc=S("cciframe");
	doc.src=adsPage;//视频播放前广告页路径
	//doc.src="/movie/js/loading.html"
	setTimeout(function()
	{
		doc.src="/"+sitePath+"js/play.html?a="+url+"&b="+from+"&c="+nexturl+"&w="+playerw+"&h="+playerh+"&imagesPath="+imagesPath+"&NextWebPage="+NextWebPage+"&adfolder="+adfolder+"&siteurl="+siteurl
	},adsTime*1000);
	document.write('<div id="ccplay" style="width:'+playerw+'px;height:'+playerh+'px;"></div>');
	//playerw=560	playerh=400
	doc.style.width=playerw+"px";
	doc.style.height=playerh+"px";
	doc.style.top=GetXYWH(Obj('ccplay')).split(",")[0]+"px";//="166px"
	//function Obj(o)//返回元素(a)的ID返问
	//function GetXYWH(o)//返回元素(a)的高度和宽度
	doc.style.left=GetXYWH(Obj('ccplay')).split(",")[1]+"px";//="249px"
}

function viewend(){
	var doc=S("cciframe");
	doc.style.top=GetXYWH(Obj('ccplay')).split(",")[0]+"px";
	doc.style.left=GetXYWH(Obj('ccplay')).split(",")[1]+"px";
}

function killErrors(){
	return true;
}

var resize=function(){
	var cObj=window.Obj('ccplay');
	orginLeft=window.GetXYWH(cObj).split(',')[1]+'px';
	var i=S('cciframe');
	i.style.left=orginLeft;
}

window.onresize=function(){resize();}
window.onerror = killErrors;
